#3413 Tk-8.4.12 Configure Bug

obsolete: 8.4.12
closed-out-of-date
Don Porter
5
2006-04-10
2006-04-09
goran
No

I have got Tk-8.4.12 sources from:
http://www.tcl.tk/software/tcltk/downloadnow84.tml

I use Fedore 5

While configuring I have got an output like:
./configure: line 6067: syntax error near unexpected
token `('
./configure: line 6067: ` case `(ac_space=' '; set |
grep ac_space) 2>&1` in'

In configure file line 1949 is:
system=MP-RAS-`awk '{print }' /etc/.relid'`
but it must be:
system=MP-RAS-`awk '{print }' /etc/.relid`
and when I "patched" configure file all have become OK.

Discussion

    • labels: --> 53. Configuration and Build Tools
    • milestone: --> obsolete: 8.4.12
    • assigned_to: nobody --> dgp
    • status: open --> closed-out-of-date
     
  • Logged In: YES
    user_id=79902

    Will be fixed in 8.4.13 (release due Very Soon)

    Alternatively, don't use Bash 3.1 as it has changed the
    handling of this particular problem relative to all previous
    versions of bash (and classic bourne shell too)